org.eclipse.pde.ui.launcher

## Class BundlesTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.pde.ui.launcher.AbstractLauncherTab
    - - org.eclipse.pde.ui.launcher.BundlesTab

All Implemented Interfaces:
  ILaunchConfigurationTab, ILaunchConfigurationTab2

Direct Known Subclasses:
  EquinoxPluginsTab

    public class BundlesTab
    extends AbstractLauncherTab

A launch configuration tab that customizes the list of bundles to launch with, their start level and their auto-start attributes.

This class may be instantiated, but it is not intended to be subclassed by clients.

Since:
  3.3
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`BundlesTab()` Constructor to create a new bundle tab

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activated(ILaunchConfigurationWorkingCopy config)`
`void` `createControl(Composite parent)`
`void` `dispose()` Dispose images
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`void` `initializeFrom(ILaunchConfiguration config)`
`void` `performApply(ILaunchConfigurationWorkingCopy config)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy config)`
`void` `validateTab()` Validates the data entered on the tab.

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab

`createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundlesTab

    public BundlesTab()

Constructor to create a new bundle tab

### Method Detail

#### dispose

    public void dispose()

Dispose images

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.dispose()`

#### createControl

    public void createControl(Composite parent)

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

#### getName

    public String getName()

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### activated

    public void activated(ILaunchConfigurationWorkingCopy config)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `AbstractLauncherTab`

#### validateTab

    public void validateTab()

Description copied from class: `AbstractLauncherTab`
Validates the data entered on the tab.

Specified by:
  `validateTab` in class `AbstractLauncherTab`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`